# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nth/version'

Gem::Specification.new do |spec|
  spec.name          = "nth"
  spec.version       = Nth::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]

  spec.summary       = %q{Ordinal and number utilities}
  spec.description   = %q{The Nth gem is a collection of utilities that use named numbers and ordinals to represent or access data.
The gem supports numbers bigger than a milliquadragintillion (over 3000 zeros).
A way smaller number septemvigintillion is more than the number of atoms in the Universe; it only has 84 zeros.
Asside from ridiculously large numbers, there are also some useful utilities using named numbers.
As an example we can access the `#twelfth` character of a string.
Cookbook applications might like to use named measurements such as 'five and three quarters'.
}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.required_ruby_version = '>= 2.1.0'  
  spec.add_runtime_dependency 'primitive_wrapper', '>= 2.2.0'  

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'byebug', ">= 5.0.0"
  
end
